using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.XlsIO; 

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        //New instance of XlsIO is created.[Equivalent to launching MS Excel with no workbooks open].
        //The instantiation process consists of two steps.

        //Step 1 : Instantiate the spreadsheet creation engine.
        ExcelEngine excelEngine = new ExcelEngine();

        //Step 2 : Instantiate the excel application object.
        IApplication application = excelEngine.Excel;

        //Open an existing spreadsheet which will be used as a template for generating the new spreadsheet.
        //After opening, the workbook object represents the complete in-memory object model of the template spreadsheet.
        IWorkbook workbook = application.Workbooks.Open("C:\\Documents and Settings\\rajarajeswaris\\Desktop\\Book1.xls");

        //The first worksheet object in the worksheets collection is accessed.
        IWorksheet sheet = workbook.Worksheets[0];
        //Saving the workbook to disk.
        workbook.SaveAs("Sample.xls", ExcelSaveType.SaveAsXLS, Response, ExcelDownloadType.PromptDialog);
        //No exception will be thrown if there are unsaved workbooks.
        excelEngine.ThrowNotSavedOnDestroy = false;
        excelEngine.Dispose(); 

    }
}
